<ion-header *transloco="let t">
  <lib-custom-modal-header
    (closeClick)="close()"
    [title]="t('map.category_filter.title')"
  >
  </lib-custom-modal-header>
</ion-header>

<ion-content
  *transloco="let t"
  class="content flex-list-medium minor-margin-top"
>
  @for (group of getGroupedCategories(); track group.group.id) {
    <div class="content-wrapper flex-list-minor-min minor-margin-top">
      <p
        class="title"
        [attr.aria-label]="
          group.group.getLocalizedName(translateService.getActiveLang())
        "
      >
        {{ group.group.getLocalizedName(translateService.getActiveLang()) }}
      </p>
      <div class="flex-list-small">
        @for (category of group.categories; track category.id) {
          <lib-custom-horizontal-button
            (buttonClick)="selectCategory(category)"
            [colorScheme]="customButtonColorScheme.strong"
            [buttonType]="customButtonType.button"
            [startIcon]="category.icon ?? ''"
            [endIcon]="'arrow_forward'"
            [attr.aria-label]="
              category.getLocalizedName(translateService.getActiveLang())
            "
            [title]="
              category.getLocalizedName(translateService.getActiveLang())
            "
          ></lib-custom-horizontal-button>
        }
      </div>
    </div>
  }
</ion-content>
